{
    attributes = (
        {
            columnName = FDSC_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fdscAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FDSC_CODE; 
            externalType = VARCHAR2; 
            name = fdscCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = FDSC_LIBELLE; 
            externalType = VARCHAR2; 
            name = fdscLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FDSC_VALIDITE; 
            externalType = VARCHAR2; 
            name = fdscValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fdscCode); 
    className = EOGenericRecord; 
    classProperties = (fdscCode, fdscLibelle, fdscAbreviation, fdscValidite); 
    externalName = SCOL_FORMATION_DISCIPLINE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationDiscipline; 
    primaryKeyAttributes = (fdscCode); 
}
